// Model Train Controller
// Written by Boomer48: April 2019

#define BT_Ctrl

#ifdef BT_Ctrl
#include "Bluetooth_Control.h"
#else
#include "Manual_Control.h"
#endif

void setup() {
  Duty_Cycle = 0;
  analogWrite(PWM, 0);
  pinMode(Forward, OUTPUT);
  pinMode(Reverse, OUTPUT);
  digitalWrite(Forward, HIGH);
  digitalWrite(Reverse, LOW);

#ifdef BT_Ctrl
  Bluetooth_setup();
#else
  Manual_setup();
#endif
}

void loop() {
#ifdef BT_Ctrl
  Bluetooth_loop();
#else
  Manual_loop();
#endif
}
